# Social Distancing Tag package

---

The social distancing tag package contains reference application
in order to implement a device to help monitory.

The package contains:

- Main Documentation: Documents/index.html
- Embedded application source code: ble_social_distance_tag
- Reference Gateway: Gateway

## Hardware configuration

- This example runs on The DA1469x development kit (USB or Pro-Kit)

For the USB Kit, please not the ZOR antenna does not produce optimal
performance due to uneven radiation pattern. It is recommended to solder
an SMA connector and use an external antenna

For optimal performance it is recommended to trim the crystal of all the
development kit use

Different antenna will generate static offset in the ranging measurement. For
optimal performance, it is recommended to adapt the offset depending on the
hardware used

## Application

- This example requires:
    * [Smartsnippets Studio 2.0.12](https://www.dialog-semiconductor.com/products/da1469x-product-family) or newer.
    * [Smartbond WiRa SDK 10.440.8.4](https://www.dialog-semiconductor.com/products/connectivity/bluetooth-low-energy/products/smartbond-wireless-ranging-SDK)
- **SEGGER’s J-Link** tools should be downloaded and installed.

## How to run the example

- Downlaod and extract the Smartbond Wira SDK
- Open SmartSnippets Studio and select the WiRa SDK folder as workspace location
- In the project browser import the *ble_social_distancing* project in the workspace.
- Build & flash

For more information about the DA1469x family and development environment please
refer to the [DA1469x Product page](https://www.dialog-semiconductor.com/products/da1469x-product-family)


## Known Limitations

- There are No known limitations for this example. But you can check and refer to the following application note for


## License

Copyright (c) 2020 Dialog Semiconductor. All rights reserved.

This software ("Software") is owned by Dialog Semiconductor. By using this Software
you agree that Dialog Semiconductor retains all intellectual property and proprietary
rights in and to this Software and any use, reproduction, disclosure or distribution
of the Software without express written permission or a license agreement from Dialog
Semiconductor is strictly prohibited. This Software is solely for use on or in
conjunction with Dialog Semiconductor products.

EXCEPT AS OTHERWISE PROVIDED IN A LICENSE AGREEMENT BETWEEN THE PARTIES OR AS
REQUIRED BY LAW, THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. EXCEPT AS OTHERWISE PROVIDED
IN A LICENSE AGREEMENT BETWEEN THE PARTIES OR BY LAW, IN NO EVENT SHALL DIALOG
SEMICONDUCTOR BE LIABLE FOR ANY DIRECT, SPECIAL, INDIRECT, INCIDENTAL, OR
CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE SOFTWARE.
