/**
 ****************************************************************************************
 *
 * @file ble_range_dte_config.h
 *
 * @brief Macros related to DTE configuration
 *
 * Copyright (C) 2018-2020 Dialog Semiconductor.
 * This computer program includes Confidential, Proprietary Information
 * of Dialog Semiconductor. All Rights Reserved.
 *
 ****************************************************************************************
 */

#ifndef BLE_RANGE_DTE_CONFIG_H_
#define BLE_RANGE_DTE_CONFIG_H_

#define DEFAULT_DTE_ROLE                                DTE_ROLE_INITIATOR

/* Perform distance calculation in firmware, if defined */
#define ENABLE_CW_DIST_CALC                             ( 1 )

#define ENABLE_IFFT_DIST_CALC                           ( 1 )

/* Demo set number for future support of multiple demo sets */
#define MAX_DEMO_SET_NUM                                ( 254 )
#define DEFAULT_DEMO_SET_NUM                            ( 0 )

#define MAX_XTAL32M_TRIM                                ( 0x2BF )
#define DEFAULT_XTAL32M_TRIM                            ( 0x120 )

/* Timeout for connection attempts in CLI_MODE */
#define BLE_CONNECTION_TO_MS                            ( 10000 )

/* Timeout for distance measurement */
#define MEAS_TO_MS                                      ( 500 )

/* Defines a 2^N sized sliding window filter to apply on raw values for average distance reporting. */
#define DIST_MA_WINDOW                                  ( BIT2 )

#endif /* BLE_RANGE_DTE_CONFIG_H_*/
